### Method

# Fwupd Remote build_firmware_uri

#### Declaration [src]

    gchar*
    fwupd_remote_build_firmware_uri (
      FwupdRemote* self,
      const gchar* url,
      GError** error
    )

#### Description [src]

Builds a URI for the URL using the username and password set for the remote, including any basename URI substitution.

Available since: | 0.9.7

#### Parameters

`url` | `const gchar*`
| The URL to use.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gchar*`
| A URI, or `NULL` for error.
| The caller of the method takes ownership of the data, and is responsible for freeing it.
| The value is a NUL terminated UTF-8 string.